package pep;

/**Class for switching between goals (e.g., cue and target identification).*/
public class Executive {
 /**goal search strength*/
 public static ThreadLocal<Double> goalSearch = new ThreadLocal<>();
 /**goal found truth value (for maintaining identified goal)*/
 public static ThreadLocal<Boolean> needGoal = new ThreadLocal<>();
 /**decision/response search strength*/
 public static ThreadLocal<Double> decSearch = new ThreadLocal<>();

 /**Sets up Executive goal manager.*/
 public Executive(){
 }

 /**Sets up parameters for start of trial (more than one goal).*/
 public void startTrial(){
  needGoal.set(true);
  goalSearch.set(1.0);
  decSearch.set(.35);
 }

 /**Start decision/response search.*/
 public void foundGoal(){
  needGoal.set(true);
  goalSearch.set(.35);
  decSearch.set(1.0);
 }

 /**Stops all searches (end of trial).*/
 public void stopSearch(){
  needGoal.set(false);
  goalSearch.set(.35);
  decSearch.set(.35);
 }
}